import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, lazy, useContext } from 'react';
import initFusion from '@equinor/fusion-framework';
const frameworkContext = createContext(null);
export const FrameworkProvider = frameworkContext.Provider;
export const createFrameworkProvider = (configurator) => lazy(async () => {
    const framework = await initFusion(configurator);
    return {
        default: ({ children }) => (_jsx(frameworkContext.Provider, { value: framework, children: children }, void 0)),
    };
});
export const useFramework = () => {
    let context = useContext(frameworkContext);
    if (!context) {
        console.warn('could not locate fusion in context!');
    }
    context ??= window.Fusion;
    if (!context) {
        console.error('Could not load framework, might not be initiated?');
    }
    return context;
};
export default FrameworkProvider;
//# sourceMappingURL=index.js.map